{% extends 'layout.html' %}

{% block content %}
    <div class="flex flex-col gap-8 py-8">
        <div class="grid grid-cols-1 md:grid-cols-2 gap-6 justify-center items-center">
            <div class="flex flex-col gap-y-8 justify-center items-center">
                <img class="max-w-52 max-h-52 rounded-xl" src="https://api.tuks.dev{{ product['picture'] }}" alt="">
                <form class="" action="/admin/products/{{ product['id'] }}/picture" method="POST" enctype="multipart/form-data" id="change-product-picture">
                    <input type="file" name="product-picture" id="product-picture">
                    <button class="text-grey-dark px-6 py-2 bg-yellow rounded-lg">Upload</button>
                </form>
            </div>
            <form class="flex flex-col w-80 mx-auto gap-8" action="/admin/products/{{ product['id'] }}" method="POST">
                <label class="text-yellow" for="product-name">
                    <p>Product Name</p>
                    <input class="text-grey-dark w-full px-2 py-1 rounded-lg focus:outline-none" type="text" name="product-name" id="product-name" value="{{ product['name'] }}">
                </label>
                <label class="text-yellow" for="product-price">
                    <p>Product Price</p>
                    <input class="text-grey-dark w-full px-2 py-1 rounded-lg focus:outline-none" type="number" name="product-price" id="product-price" step=".01" value="{{ product['price'] }}">
                </label>
                <label class="text-yellow" for="product-active">
                    <p>Is product active?</p>
                    <select class="text-grey-dark w-full px-1 rounded-lg focus:outline-none" name="product-active" id="product-active">
                        {% if product['is_active'] == True %}
                            <option value="True" selected>Active</option>
                            <option value="False">Not Active</option>
                        {% else %}
                            <option value="True">Active</option>
                            <option value="False" selected>Not Active</option>
                        {% endif %}
                    </select>
                </label>
                <label class="text-yellow" for="product-prohibited">
                    <p>Is product prohibited?</p>
                    <input class="text-grey-dark px-2 py-1 rounded-lg focus:outline-none" type="checkbox" name="product-prohibited" id="product-prohibited" {% if product["prohibited"] %} checked {% endif %}>
                </label>
                <label class="text-yellow" for="product-stock">
                    <p>Product Stock</p>
                    <input class="text-grey-dark w-full px-2 py-1 rounded-lg focus:outline-none" type="number" name="product-stock" id="product-stock" value="{{ product['stock'] }}">
                </label>
                <label class="text-yellow" for="product-type">
                    <p>Product Type</p>
                    <select class="text-grey-dark w-full px-1 rounded-lg focus:outline-none" name="product-type" id="product-type">
                        {% if product['type'] == 'drink' %}
                            <option value="drink" selected>Drink</option>
                            <option value="snack">Snack</option>
                            <option value="other">Other</option>
                        {% elif product['type'] == 'snack' %}
                            <option value="drink">Drink</option>
                            <option value="snack" selected>Snack</option>
                            <option value="other">Other</option>
                        {% else %}
                            <option value="drink">Drink</option>
                            <option value="snack">Snack</option>
                            <option value="other" selected>Other</option>
                        {% endif %}
                    </select>
                </label>
                <label class="text-yellow" for="product-ean">
                    <p>Product EAN Code</p>
                    <input class="text-grey-dark w-full px-2 py-1 rounded-lg focus:outline-none" type="text" name="product-ean" id="product-ean"  value="{{ product['ean_code'] }}">
                </label>
                <button class="text-grey-dark px-6 py-2 bg-yellow rounded-lg focus:outline-none" type="submit">Save product</button>
                <a href="/admin/products" class="button text-yellow text-center px-6 py-2 bg-grey-dark rounded-lg focus:outline-none">Cancel</a>
            </form>
        </div>
    </div>

{% endblock content %}